SuperLU: SRC/ilu_cpanel_dfs.c File Reference

# SRC/ilu_cpanel_dfs.c File Reference

Peforms a symbolic factorization on a panel of symbols and record the entries with maximum absolute value in each column. More...

`#include "slu_cdefs.h"`

## Functions
void | ilu_cpanel_dfs (const int m, const int w, const int jcol, SuperMatrix *A, int *perm_r, int *nseg, complex *dense, float *amax, int *panel_lsub, int *segrep, int *repfnz, int *marker, int *parent, int *xplore, GlobalLU_t *Glu)

## Detailed Description

     -- SuperLU routine (version 4.0) --
     Lawrence Berkeley National Laboratory
     June 30, 2009

## Function Documentation

void ilu_cpanel_dfs | ( | const int | m,
|  | const int | w,
|  | const int | jcol,
|  | SuperMatrix * | A,
|  | int * | perm_r,
|  | int * | nseg,
|  | complex * | dense,
|  | float * | amax,
|  | int * | panel_lsub,
|  | int * | segrep,
|  | int * | repfnz,
|  | int * | marker,
|  | int * | parent,
|  | int * | xplore,
|  | GlobalLU_t * | Glu |
| ) |  |  |

     Purpose
     =======

       Performs a symbolic factorization on a panel of columns [jcol, jcol+w).

       A supernode representative is the last column of a supernode.
       The nonzeros in U[*,j] are segments that end at supernodal
       representatives.

       The routine returns one list of the supernodal representatives
       in topological order of the dfs that generates them. This list is
       a superset of the topological order of each individual column within
       the panel.
       The location of the first nonzero in each supernodal segment
       (supernodal entry location) is also returned. Each column has a
       separate list for this purpose.

       Two marker arrays are used for dfs:
         marker[i] == jj, if i was visited during dfs of current column jj;
         marker1[i] >= jcol, if i was visited by earlier columns in this panel;

       marker: A-row --> A-row/col (0/1)
       repfnz: SuperA-col --> PA-row
       parent: SuperA-col --> SuperA-col
       xplore: SuperA-col --> index to L-structure